using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OpenMVCRM.Entities
{
    public class Company : EntityBase
    {
        public string Name { set; get; }
        public string Description { set; get; }
        public string WebSite { set; get; }

        public int IndustryID { set; get; }
        public virtual Industry Industry { set; get; }

        public int AddressID { set; get; }
        public Address Address { set; get; }

        public User CreatedBy { set; get; }
        public bool IsValid { set; get; }
        public CompanyType Type { set; get; }
        public int OrganizationID { set; get; }

        public PhoneNumber PrimaryPhoneNumber { set; get; }

        public Company()
        {
            CreatedBy = new User();
            Address = new Address();
            Industry = new Industry();
            PrimaryPhoneNumber = new PhoneNumber();
        }

    }
}
